mscorlib 2.0.0.0 4.0.0.0 System.Runtime.InteropServices.Guid("00020402-0000-0000-c000-000000000046") System.Runtime.InteropServices.InterfaceType(System.Runtime.InteropServices.ComInterfaceType.InterfaceIsIUnknown)

For additional information about the ITypeLib interface, see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Provides the managed definition of the ITypeLib interface.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32

  For additional information about ITypeLib::GetTypeInfoCount, see the MSDN Library.

  Returns the number of type descriptions in the type library.

  The number of type descriptions in the type library.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  If the type library contains the string specified by the parameter, is overwritten with the name found in the type library, using the casing found in the type library. For example, if the type library contains the string "aBc" and the method passes "abc" as the parameter, becomes "aBc" when the method returns.

  For additional information about ITypeLib::IsName, see the MSDN Library.

  Indicates whether a passed-in string contains the name of a type or member described in the library.

  true if was found in the type library; otherwise, false.

  The string to test. This is an in/out parameter. The hash value of .
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  For additional information about ITypeLib::ReleaseTLibAttr, see the MSDN Library.

  Releases the structure originally obtained from the method.

  The TLIBATTR structure to release.